package com.chenyang.nse.bussiness.entity.orm.table.core.systemparameter;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SYSTEMPARAMETER_PROPERTY"
)
public class TCoreSystemparameterProperty extends TBaseEntity {
   private String propertyname;

   public TCoreSystemparameterProperty() {
   }

   public TCoreSystemparameterProperty(String propertyname) {
      this.propertyname = propertyname;
   }

   public String getPropertyname() {
      return this.propertyname;
   }

   public void setPropertyname(String propertyname) {
      this.propertyname = propertyname;
   }

   public String toString() {
      return "TCoreSystemparameterProperty [propertyname=" + this.propertyname + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.propertyname == null ? 0 : this.propertyname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSystemparameterProperty other = (TCoreSystemparameterProperty)obj;
         if (this.propertyname == null) {
            if (other.propertyname != null) {
               return false;
            }
         } else if (!this.propertyname.equals(other.propertyname)) {
            return false;
         }

         return true;
      }
   }
}
